Bug 14153 - azure ad connect reports discovery errors: reference-value-not-ldap-conformant
azure ad connect reports discovery errors: reference-value-not-ldap-conformant
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.10.8
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
https://gitlab.com/samba-team/samba/m...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-07 09:02 UTC by Björn Jacke
Modified: 2019-11-06 09:31 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-11-test (6.85 KB, patch)
2019-10-29 12:56 UTC, Stefan Metzmacher
abartlet: review+
bjacke: review+
Details
Patches for v4-10-test (6.85 KB, patch)
2019-10-29 12:56 UTC, Stefan Metzmacher
abartlet: review+
bjacke: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2019-10-07 09:02:16 UTC
Azure AD connect reports

discovery errors:

reference-value-not-ldap-conformant

for attributes member and manager.

There's a problem with exteded DNs, fix is close to come.
Comment 1 Andrew Bartlett 2019-10-22 07:31:30 UTC
Thanks for chasing this down. 

We also saw this reported, but we were not able to figure it out at the time.
Comment 2 Stefan Metzmacher 2019-10-29 12:56:07 UTC
Created attachment 15575 [details]
Patches for v4-11-test
Comment 3 Stefan Metzmacher 2019-10-29 12:56:30 UTC
Created attachment 15576 [details]
Patches for v4-10-test
Comment 4 Andrew Bartlett 2019-11-04 02:26:14 UTC
Assinging to Karolin for the next available 4.10 and 4.11 releases.
Comment 5 Karolin Seeger 2019-11-05 08:54:53 UTC
Pushed to autobuild-v4-{11,10}-test.
Comment 6 Karolin Seeger 2019-11-06 09:31:26 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!